## tiger tiger — Decodes and renders Kate streams on top of a video |

## Synopsis

                        GstKateTiger;

## Properties

      "category"                 gchar*                : Read
      "default-background-alpha" gint                  : Read / Write
      "default-background-blue"  gint                  : Read / Write
      "default-background-green" gint                  : Read / Write
      "default-background-red"   gint                  : Read / Write
      "default-font-alpha"       gint                  : Read / Write
      "default-font-blue"        gint                  : Read / Write
      "default-font-desc"        gchar*                : Read / Write
      "default-font-effect"      GstFontEffect         : Read / Write / Construct
      "default-font-effect-strength" gdouble               : Read / Write
      "default-font-green"       gint                  : Read / Write
      "default-font-red"         gint                  : Read / Write
      "language"                 gchar*                : Read
      "original-canvas-height"   gint                  : Read
      "original-canvas-width"    gint                  : Read
      "quality"                  gdouble               : Read / Write

## Description

### Example pipeline

This element decodes and renders Kate streams Kate is a free codec for text based data, such as subtitles. Any number of kate streams can be embedded in an Ogg stream.

libkate (see above url) and libtiger are needed to build this element.

This pipeline renders a Kate stream on top of a Theora video multiplexed in the same stream:

    gst-launch \
      filesrc location=video.ogg ! oggdemux name=demux \
      demux. ! queue ! theoradec ! ffmpegcolorspace ! tiger name=tiger \
      demux. ! queue ! kateparse ! tiger. \
      tiger. ! ffmpegcolorspace ! autovideosink

## Details

### GstKateTiger

    typedef struct {
      GstElement element;

      GstPad *katesinkpad;
      GstPad *videosinkpad;
      GstPad *srcpad;

      GstKateDecoderBase decoder;

      tiger_renderer *tr;

      gdouble quality;
      gchar *default_font_desc;
      gboolean default_font_effect;
      gdouble default_font_effect_strength;
      guchar default_font_r;
      guchar default_font_g;
      guchar default_font_b;
      guchar default_font_a;
      guchar default_background_r;
      guchar default_background_g;
      guchar default_background_b;
      guchar default_background_a;

      gint video_width;
      gint video_height;

      GMutex *mutex;
    } GstKateTiger;

## Property Details

### The `"category"` property

      "category"                 gchar*                : Read

The category of the stream.

Default value: ""

### The `"default-background-alpha"` property

      "default-background-alpha" gint                  : Read / Write

Default background color (alpha component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-background-blue"` property

      "default-background-blue"  gint                  : Read / Write

Default background color (blue component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-background-green"` property

      "default-background-green" gint                  : Read / Write

Default background color (green component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-background-red"` property

      "default-background-red"   gint                  : Read / Write

Default background color (red component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-font-alpha"` property

      "default-font-alpha"       gint                  : Read / Write

Default font color (alpha component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-font-blue"` property

      "default-font-blue"        gint                  : Read / Write

Default font color (blue component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-font-desc"` property

      "default-font-desc"        gchar*                : Read / Write

Default font description (Pango style) to render text with.

Default value: ""

### The `"default-font-effect"` property

      "default-font-effect"      GstFontEffect         : Read / Write / Construct

Whether to apply an effect to text by default, for increased readability.

Default value: none

### The `"default-font-effect-strength"` property

      "default-font-effect-strength" gdouble               : Read / Write

How pronounced should the font effect be (effect dependent).

Allowed values: [0,1]

Default value: 0.5

### The `"default-font-green"` property

      "default-font-green"       gint                  : Read / Write

Default font color (green component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"default-font-red"` property

      "default-font-red"         gint                  : Read / Write

Default font color (red component, between 0 and 255) to render text with.

Allowed values: [0,255]

Default value: 255

### The `"language"` property

      "language"                 gchar*                : Read

The language of the stream.

Default value: ""

### The `"original-canvas-height"` property

      "original-canvas-height"   gint                  : Read

The canvas height this stream was authored for (0 is unspecified).

Allowed values: >= 0

Default value: 0

### The `"original-canvas-width"` property

      "original-canvas-width"    gint                  : Read

The canvas width this stream was authored for.

Allowed values: >= 0

Default value: 0

### The `"quality"` property

      "quality"                  gdouble               : Read / Write

Rendering quality (0 is faster, 1 is best and slower).

Allowed values: [0,1]

Default value: 1

## See Also

katedec